<?php 
/**
 * This file for the advanced search for Joomla Estate Agency
 * 
 * @version     $Id: default.php 167 2012-01-09 18:30:26Z $
 * @package		Jea.module.advancedsearch
 * @copyright	Copyright (C) 2012 OpenGlobal. All rights reserved.
 * @license		GNU/GPL
 * 
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

$use_ajax = $params->get('use_ajax', 0);
$category = $params->get('category', 0);
$use_multiselects = $params->get('use_multiselects', 0);
$document =& JFactory::getDocument();
$document->addStyleDeclaration("
	#jea_advancedsearch_form select {
		width:12em;
	}");

if ($use_ajax ) {
	JHTML::script('search.js', 'media/com_jea/js/', true);
	
	//initialize the form when the page load
	$document->addScriptDeclaration("
		window.addEvent('domready', function() {
			refreshForm(); 
		});");
}

?>

<form action="index.php?option=com_jea&amp;task=search" method="post" id="jea_search_form" enctype="application/x-www-form-urlencoded" >

	<?php if($category == 1): ?>
    <input type="hidden" id="cat" name="cat" value="selling" />
    <?php elseif($category == 2): ?>
    <input type="hidden" id="cat" name="cat" value="renting" />
    <?php else: ?>
	<p>
    <input type="radio" name="cat" id="renting" value="renting" checked="checked" <?php echo $use_ajax ? 'onclick="reinitForm()"' : '' ?> />
    <label for="renting"><?php echo JText::_('Renting') ?></label>
    <input type="radio" name="cat" id="selling" value="selling" <?php echo $use_ajax ? 'onclick="reinitForm()"' : '' ?> />
    <label for="selling"><?php echo JText::_('Selling') ?></label>
    </p>
    <?php endif ?>
    
<?php if ( $use_ajax ): ?>
    <p>
    <?php if ($params->get('show_types', 1) == 1):?>
    <select id="type_id" name="type_id" onchange="updateList(this)" class="inputbox"><option value="0"> </option></select>
    <?php endif ?>
    <?php if ($params->get('show_departments', 1) == 1):?>
    <select id="department_id"  name="department_id" onchange="updateList(this)" class="inputbox" ><option value="0"> </option></select>
    <?php endif ?>
    <?php if ($params->get('show_towns', 1) == 1):?>
    <select id="town_id" name="town_id" onchange="updateList(this)" class="inputbox"><option value="0"> </option></select>
    <?php endif ?>
    </p>
<?php else: ?> 

   	<p>
   	<?php if ($params->get('show_types', 1) == 1):?>
	<?php echo getHtmlList('#__jea_types', '--'.JText::_( 'Property type' ).'--', 'type_id', $use_multiselects ) ?>
	<?php endif ?>
	<?php if ($params->get('show_departments', 1) == 1):?>
	<?php echo getHtmlList('#__jea_departments', '--'.JText::_( 'Department' ).'--', 'department_id', $use_multiselects ) ?>
	<?php endif ?>
	<?php if ($params->get('show_towns', 1) == 1):?>
  	<?php echo getHtmlList('#__jea_towns', '--'.JText::_( 'Town' ).'--', 'town_id', $use_multiselects ) ?>
  	<?php endif ?>
  	</p>
  	
<?php endif ?>
<div id="jea_advanced_search">
    <?php if ($params->get('show_budget_min', 1) == 1):?>
	<div id="budget_min"><label for="budget_min"><?php echo JText::_('Budget min') ?> : </label><input id="budget_min" type="text" size="5" name="budget_min" /></div>
    <?php endif ?>
    <?php if ($params->get('show_budget_max', 1) == 1):?>
	<div id="budget_max"><label for="budget_max"><?php echo JText::_('Budget max') ?> : </label><input id="budget_max" type="text" size="5" name="budget_max" /></div>
    <?php endif ?>
    <?php if ($params->get('show_living_space_min', 1) == 1):?>
	<div id="living_space_min"><label for="living_space_min"><?php echo JText::_('Living space min') ?> : </label><input id="living_space_min" type="text" size="5" name="living_space_min" /></div>
    <?php endif ?>
    <?php if ($params->get('show_living_space_max', 1) == 1):?>
	<div id="living_space_max"><label for="living_space_max"><?php echo JText::_('Living space max') ?> : </label><input id="living_space_max" type="text" size="5" name="living_space_max" /></div>
    <?php endif ?>
    <?php if ($params->get('show_rooms', 1) == 1):?>
	<div id="rooms_min"><label for="rooms_min"><?php echo JText::_('Minimum number of rooms') ?> : </label><input id="rooms_min" type="text" size="5" name="rooms_min" /></div>
    <?php endif ?>
</div>
  	<p class="jea_header_search_button"><input type="submit" class="button" value="<?php echo JText::_('Search') ?>" />
    <input type="hidden" name="Itemid" value="<?php echo JRequest::getInt('Itemid', 0) ?>" />
    <?php echo JHTML::_( 'form.token' ) // Do not remove this ?>
    </p>
</form>
