<?php
/**
 * This file is the advanced search module for Joomla Estate Agency
 * 
 * @version     $Id: mod_jea_advancedsearch.php 145 2012-01-09 10:03:47Z $
 * @package		Jea.module.advancedsearch
 * @copyright	Copyright (C) 2012 OpenGlobal. All rights reserved.
 * @license		GNU/GPL
 * 
 */

defined('_JEXEC') or die('Restricted access');

function getHtmlList($table, $title, $id, $use_multiselects ){

	$sql = "SELECT `id` AS value ,`value` AS text FROM {$table} ORDER BY ordering" ;

	$db = & JFactory::getDBO();
	$db->setQuery($sql);
	$rows = $db->loadObjectList();

	if ( $db->getErrorNum() ) {
		JError::raiseWarning( 200, $db->getErrorMsg() );
	}

	if ($use_multiselects) {
		$return = '<select name="'.$id.'[]" id="'.$id.'" class="inputbox" size="6" multiple="multiple"><optgroup label="'.$title.'">';
        	foreach ($rows as $row) {
                	$return .= '<option value="'.$row->value.'">'.$row->text.'</option>';
        	}
        	$return .= '</optgroup></select>';
        	return $return;
	} else {
		//unshift default option
		array_unshift($rows, JHTML::_('select.option', '0', $title ));

		return JHTML::_('select.genericlist', $rows , $id, 'class="inputbox" size="1" ' , 'value', 'text', 0);
	}
}

//conflict between component searchform and module searchform because both use same id's
$conflict = JRequest::getVar('option') == 'com_jea' && JRequest::getVar('layout') == 'search' ;
$conflict2 = JRequest::getVar('option') == 'com_jea' && JRequest::getVar('layout') == 'form' ;

if(!$conflict && !$conflict2 ){
	require(JModuleHelper::getLayoutPath('mod_jea_advancedsearch'));
}

